Subject: bug#33256: nxml-mode completion of attribute no longer adds =" after emacs 26

From: Noam Postavsky <[email-masked]>
Date: Wed, 10 Apr 2019 19:41:06 -0400

close 33256
quit

Martin Fowler <[email-masked]> writes:

> My apologies on this, I think I neglected to test this bug with no
> initialization file.

No worries, it happens. :)

> I tried it with `emacs -q` and got the behavior
> you describe (which I agree is reasonable).

I've meanwhile tracked down where the change happened [1: d7896a6f77],
and updated the manual to reflect the slightly different new behaviour
[2: cb5a340823], so I'm closing the bug.

[1: d7896a6f77]: 2016-01-16 14:03:29 -0500
  * lisp/nxml: Use standard completion; it also works for company-mode
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=d7896a6f773dc4ae4e1b56c34b6708fe2bc5610a
  
[2: cb5a340823]: 2019-04-10 19:33:21 -0400
  Update nxml-mode.texi: completion now gives xmlns="-!-"
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=cb5a34082342695676f2db11e1465bd28347e9de